summaryrefslogtreecommitdiff
path: root/hg/post-apt.d/40git-rm
diff options
context:
space:
mode:
Diffstat (limited to 'hg/post-apt.d/40git-rm')
-rw-r--r--hg/post-apt.d/40git-rm12
1 files changed, 12 insertions, 0 deletions
diff --git a/hg/post-apt.d/40git-rm b/hg/post-apt.d/40git-rm
new file mode 100644
index 0000000..680dac0
--- /dev/null
+++ b/hg/post-apt.d/40git-rm
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+TAB=" "
+
+if [ -d .git ]; then
+ for file in $(git ls-files --deleted); do
+ if [ ! -d "$file" ]; then
+ git rm --quiet "$file"
+ fi
+ done
+fi